%global shortname openscad

Name:           devassistant-dap-%{shortname}
Version:        0.0.3
Release:        1%{?dist}
Summary:        Create 3D printing projects for OpenSCAD

BuildArch:      noarch

# Icon is GPL2 with exceptions, everything else is GPLv3+
License:        GPLv3+ and GPLv2 with exceptions
URL:            https://github.com/3DprintFIT/dap-openscad
Source0:        https://dapi.devassistant.org/download/%{shortname}-%{version}.dap

BuildRequires:  devassistant-devel
Requires:       devassistant-ui
Requires:       devassistant-dap-common_args
Requires:       devassistant-dap-git
Requires:       devassistant-dap-github

%description
This assistants helps you to create new OpenSCAD project for 3D printing.
We use it in our 3D printing lab to store our 3D printers on Github.

Projects created with this assistant have a `Makefile` to build the 3D models
form OpenSCAD sources.  To do so, run `make`. You can also generate the images
by `make images` or print plates with `make arrange`.  Observe the generated
`Makefile` to see all available options.


%prep
%setup -q -n %{shortname}-%{version}

%build
%repack_assistant

%install
%install_assistant -L LICENSE LICENSE.ICON

%check
%check_assistant

%files -f dap-files

%changelog
* Wed Apr 15 2015 Miro Hrončok <mhroncok@redhat.com> - 0.0.3-1
- New upstream release
- Use autogenerated file list

* Wed Feb 04 2015 Tomas Radej <tradej@redhat.com> - 0.0.2-6
Added licensing clarification
Text-wrapped description

* Wed Feb 04 2015 Tomas Radej <tradej@redhat.com> - 0.0.2-5
Verbose files section

* Tue Feb 03 2015 Tomas Radej <tradej@redhat.com> - 0.0.2-4
Marked licensing files with proper macro

* Thu Jan 22 2015 Tomas Radej <tradej@redhat.com> - 0.0.2-3
Initial package
